//
//  ViewController.m
//  AutoLayoutCalendar
//
//  Created by Darrell Kress on 7/5/16.
//  Copyright © 2016 Infragistics. All rights reserved.
//

#import "ViewController.h"
#import <IG/IG.h>
@interface ViewController ()
{
IGCalendarView* myview;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor greenColor];
    // Do any additional setup after loading the view, typically from a nib.
    myview= [IGCalendarView new];
    [myview navigateToDate:[NSDate new] forType:IGCalendarViewDisplayTypeDay];
    [self.view addSubview:myview];
    myview.backgroundColor = [UIColor redColor];
    [myview setTranslatesAutoresizingMaskIntoConstraints:NO];
    

   NSLayoutConstraint* widthCon= [NSLayoutConstraint constraintWithItem:myview attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:self.view attribute:NSLayoutAttributeWidth multiplier:0.5 constant:0];
    
    NSLayoutConstraint* heightCon =[NSLayoutConstraint constraintWithItem:myview attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:self.view attribute:NSLayoutAttributeHeight multiplier:0.5 constant:0];
    
    NSLayoutConstraint* centerConX =[NSLayoutConstraint constraintWithItem:myview attribute:NSLayoutAttributeCenterX relatedBy:NSLayoutRelationEqual toItem:self.view attribute:NSLayoutAttributeCenterX multiplier:1 constant:0];
    
    
    NSLayoutConstraint* centerConY =[NSLayoutConstraint constraintWithItem:myview attribute:NSLayoutAttributeCenterY relatedBy:NSLayoutRelationEqual toItem:self.view attribute:NSLayoutAttributeCenterY multiplier:1 constant:0];
    
    
    [self.view addConstraint:widthCon];
    [self.view addConstraint:heightCon];
    [self.view addConstraint:centerConX];
    [self.view addConstraint:centerConY];
    
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
